package org.postgresforest.vm.gsc;

import java.sql.Connection;


/**
 * GSCデータベース情報クラス
 *
 */
public class GscInfo {


	
	protected int m_id; //サーバID
	protected String m_url; //URL(DB込み)
	protected int m_status; //状態
	protected Connection m_con; //コネクション

	public GscInfo(int id, int status, String url) {
		super();
		m_id = id;
		m_status = status;
		m_url = url;
	}

	/**
	 * @return
	 */
	public int getId() {
		return m_id;
	}

	/**
	 * @return
	 */
	public int getStatus() {
		return m_status;
	}

	/**
	 * @return
	 */
	public String getUrl() {
		return m_url;
	}

	/**
	 * @param i
	 */
	public void setId(int i) {
		m_id = i;
	}

	/**
	 * @param i
	 */
	public void setStatus(int i) {
		m_status = i;
	}

	/**
	 * @param string
	 */
	public void setUrl(String string) {
		m_url = string;
	}


	/**
	 * @return 
	 */
	public Connection getConnection() {
		return m_con;
	}

	/**
	 * @param connection
	 */
	public void setConnection(Connection connection) {
		m_con = connection;
	}

	public String toString()
	{
		return "" + getId() + ": " + getUrl() + ", status=" + getStatus();
	}
}
